<div class="modal-header " >
  <div class="grid gridTemplate3Col gridTemplateHeaderCard w-100">
    <div class="gHeader1">
      <span class="modal-title ">{{modalConfig}}  </span>
    </div>
    <div class="gHeader2">
      <span > Numero ticket: </span> <span class="id">{{id}}</span>
    </div>
    <div class="gHeader3">
      <a (click)="activeModal.dismiss('Cross click')">
        <i class="pi pi-times-circle CBC" ></i>
      </a>
    </div>
  </div>
</div>
  <p-toast [style]="{marginTop: '80px'}"></p-toast>
  <div class="modal-body" *ngIf="displayDialogFalse"  >
    <p-table [value]="modalDataArray"  selectionMode="single" [(selection)]="selectTicketFase2"
     (onRowSelect)="onRowSelect($event)" [paginator]="true" [rows]="5" [responsive]="true">
        <ng-template pTemplate="caption" class="bCPO">
            LISTA DE ESTADOS
        </ng-template>
        <ng-template pTemplate="header" let-columns>
            <tr  class="text-center">
                <th *ngFor="let col of cols" >
                    {{col.header}}
                </th>
            </tr>
        </ng-template>
        <ng-template pTemplate="body" let-rowData let-columns="columns">
            <tr class="text-center" [pSelectableRow]="rowData">
              <td><span class="ui-column-title">Fecha</span>{{rowData.fechaEstado |date:"medium" }}</td>
              <td><span class="ui-column-title">Estado</span>{{rowData.nombre}}</td>
              <td ><span class="ui-column-title">Acciones</span>
                <span class="badge "[ngClass]="{
                'badge-success': rowData.estado === 'A',
                'badge-warning': rowData.estado === 'E',
                'badge-danger': rowData.estado === 'I'}">
                <span *ngIf="rowData.estado === 'A'">Activado</span>
                <span *ngIf="rowData.estado === 'E'">Edición</span>
                <span *ngIf="rowData.estado === 'I'">Inactivo</span>
                </span>
                              </td>
              <td><span class="ui-column-title">Nota</span>{{rowData.nota}}</td>
            </tr>
        </ng-template>   
    </p-table>
  </div>
  <div class="modal-body"  *ngIf="!displayDialogFalse">
      <span>Edición del ticket</span>
  </div>
<div class="row">
    <form [formGroup]="ticketForm" (ngSubmit)="onSubmit()">
        <p-dialog header="Detalle ticket" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true"  [style]="{width: '500px'}">
        <div class="row" >
              <div class="col-sm-12">
                   <div class="row">
                      <div class="col-sm-12">
                          <div  class="form-group">
                              <label>Fecha</label>
                              <span class="form-control disableSpan">{{selectTicketFase2.fechaEstado |date:"medium"  }}</span>
                          </div>
                        </div>

                     <div class="col-sm-12">
                        <div  class="form-group">
                            <label>Nombre</label>
                          <span class="form-control disableSpan">{{selectTicketFase2.nombre}}</span>
                        </div>
                      </div>
<!--
                      <div class="col-sm-6">
                          <label >Subir imagen</label> <br>
                          <label class="btn btn-primary">
                              <input type="file" class="d-none" (change)="fileChangeEvent($event)" />
                              <i class="fas fa-image"></i>
                          </label>
                      </div>
-->
                      <div class="col-sm-12">
                          <div  class="form-group">
                              <label>Nota</label>
                              <input type="text" formControlName="nota" [(ngModel)]="selectTicketFase2.nota"  class="form-control"
                              [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.nota.errors }"/>
                              <div   *ngIf="submitted &&  f.nota.errors" class="invalid-feedback">
                                  <div *ngIf="f.nota.errors.required">nota es requerido.</div>
                              </div>
                          </div>
                      </div>

                     <div class="col-sm-12" *ngIf="auxiliresEdit">
                       <div  class="form-group">
                           <p-table  class="table cell-border hover" #dt [value]="auxiliaresList" [paginator]="true" [rows]="10"
                                     [pageLinks]="3" [rowsPerPageOptions]="[10,25,50]"
                                     [responsive]="true" [(selection)]="AuxiliaresSelected" >

                             <ng-template pTemplate="header">
                               <tr class="text-center">
                                 <th style="width: 3em">
                                   <p-tableHeaderCheckbox></p-tableHeaderCheckbox>
                                 </th>
                                 <th class="{{c.class}}" *ngFor="let c of loadTable" >
                                   {{c.header}}
                                 </th>

                               </tr>
                             </ng-template>
                             <ng-template pTemplate="body" let-c>
                               <tr  class="text-center" [pSelectableRow]="c">
                                 <td>
                                   <p-tableCheckbox [value]="c"></p-tableCheckbox>
                                 </td>
                                 <td><span class="ui-column-title">Nombre auxiliar</span>{{c.auxiliares}}</td>
                               </tr>
                             </ng-template>
                                         </p-table>
                       </div>
                     </div>
                      <!--
                    <div class="col-sm-12 " *ngIf="imagenEdit">
                        <image-cropper
                        [imageChangedEvent]="imageChangedEvent"
                        [maintainAspectRatio]="false"
                        format="png"
                        (imageCropped)="imageCropped($event)"
                        (imageLoaded)="imageLoaded()"
                        (loadImageFailed)="loadImageFailed()"
                    ></image-cropper>
                    </div>
                    <div class="col-sm-12 text-center">
                            <label>Foto subida</label> <br>
                        <img [src] = "selectTicketFase2.foto">
                   </div>--->

                   </div>
              </div>
             </div>
            <p-footer>
                  <div class="ui-dialog-buttonpane ui-helper-clearfix">
                    <button type="button" class="btn bCSC text-white"   (click)="salir()" >Salir</button>
                    <button type="submit" class="btn bCPO text-white" >Guardar</button>
                </div>
            </p-footer>
        </p-dialog>
        </form>
</div>
<div class="modal-footer">
  <button type="button" class="btn bCSO" (click)="activeModal.close('Close click')">Stand By</button>
  <button type="button" class="btn bCSC" (click)="activeModal.close('Close click')">SALIR</button>
  <button type="button" class="btn bCPO" (click)="verificacion()">Ir a remisión</button>
</div>

